Name:		openteacher		
Version:	3.0
Release:	4%{?dist}
Summary:	An application that helps you learn a foreign language		
License:	GPLv3+
URL:		http://www.openteacher.org
Source0:	https://launchpad.net/openteacher/3.x/%{version}/+download/%{name}-%{version}-source.tar.gz
Source1:	openteacher.1
Patch1:		openteacher-fix-version-in-desktop-file.patch
Patch2:		openteacher-3.0-system-pyttsx.patch
#the patch2 was made by Toshio Kuratomi
BuildRequires:	python2-devel
BuildRequires:	desktop-file-utils
Requires:	PyQt4
Requires:	espeak
Requires:	shared-mime-info
Requires:	pyttsx
BuildArch:	noarch	

%description
OpenTeacher has the following features:
- Smart question asking and interval training
- Think answer, shuffle answer and repeat answer input modes
- Easy symbol, Greek and Cyrillic input
- Read and write T2K (Teach2000), WRTS and read ABBYY Lingvo Tutor files
- Save and open your online WRTS lists
- Print your word lists
- Available in different languages

%prep
%setup -q -c
%patch1 -p1
%patch2 -p1

# Remove bundled pyttsx
rm -rf openteacher/modules/org/openteacher/textToSpeech/tts/pyttsx/

sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/ttsProviders/words/words.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/maps/usa/usa.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/savers/html/html.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/maps/asia/asia.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/mediaTypes/website/website.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/mediaTypes/youtube/youtube.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/mediaTypes/audio/audio.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/savers/pdf/pdf.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/mediaTypes/dailymotion/dailymotion.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/enterers/topo/topo.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/ttsProviders/topo/topo.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/maps/world/world.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/maps/africa/africa.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/loaders/ottp/ottp.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/maps/latinamerica/latinamerica.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/maps/europe/europe.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/mediaTypes/megavideo/megavideo.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/mediaTypes/image/image.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/loaders/otwd/otwd.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/mediaTypes/text/text.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/textToSpeech/textToSpeech.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/mediaTypes/video/video.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/mediaTypes/vimeo/vimeo.py
sed -i -e 's/\r$//g' openteacher/modules/org/openteacher/mediaTypes/liveleak/liveleak.py

sed -i -e '1,1 s/^#!/##/g' openteacher/modules/org/openteacher/codeDocs/templ/modules.html
sed -i -e '1,1 s/^#!/##/g' openteacher/modules/org/openteacher/wordsHtmlGenerator/template.html
sed -i -e '1,1 s/^#!/##/g' openteacher/modules/org/openteacher/savers/wrts/template.xml
sed -i -e '1,1 s/^#!/##/g' openteacher/modules/org/openteacher/codeDocs/templ/module.html
sed -i -e '1,1 s/^#!/##/g' openteacher/modules/org/openteacher/savers/ot/template.xml
sed -i -e '1,1 s/^#!/##/g' openteacher/modules/org/openteacher/savers/t2k/template.xml
sed -i -e '1,1 s/^#!/##/g' openteacher/modules/org/openteacher/codeDocs/templ/priorities.html 

#the file license is not listed in the root directory, copy to
cp -p openteacher/modules/org/openteacher/metadata/license.txt license.txt


%build
python setup.py build


%install
python setup.py install --skip-build --root %{buildroot}

for file in `find %{buildroot}/%{python_sitelib}/%{name} -type f ! -perm /a+x -name '*.py'`; do
    [ -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v a+x $file
done


chmod +x %{buildroot}/%{python_sitelib}/%{name}/pyratemp.py
chmod -x %{buildroot}/%{python_sitelib}/%{name}/modules/org/openteacher/textToSpeech/tts/__init__.py
chmod -x %{buildroot}/%{python_sitelib}/%{name}/__init__.py

find %{buildroot} -name "*.po" | xargs rm -f
find %{buildroot} -name "*.pot" | xargs rm -f


(cd %{buildroot} && find . -name '*.mo') | %{__sed} -e 's|^.||' |
%{__sed} -e \
   's:\(.*/translations/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
      >> openteacher.lang


install -d %{buildroot}%{_datadir}/applications
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	linux/%{name}.desktop

install -d %{buildroot}%{_datadir}/icons/hicolor/128x128/apps
install -m 644 linux/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/

install -d %{buildroot}%{_datadir}/icons/hicolor/128x128/mimetypes
install -m 644 linux/application*.png %{buildroot}%{_datadir}/icons/hicolor/128x128/mimetypes/

install -d %{buildroot}%{_datadir}/mime/packages
install -m 644 linux/%{name}.xml %{buildroot}%{_datadir}/mime/packages/

install -d %{buildroot}%{_mandir}/man1
install -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi
/usr/bin/update-desktop-database &> /dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :


%files -f openteacher.lang
%doc license.txt
%{_bindir}/%{name}
%{python_sitelib}/OpenTeacher-3.0-py2.7.egg-info
%dir %{python_sitelib}/%{name}/
%{python_sitelib}/%{name}/*.py*
%dir %{python_sitelib}/%{name}/modules
%dir %{python_sitelib}/%{name}/modules/org
%dir %{python_sitelib}/%{name}/modules/org/openteacher
%dir %{python_sitelib}/%{name}/modules/org/openteacher/authors
%{python_sitelib}/%{name}/modules/org/openteacher/authors/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/buttonRegister
%{python_sitelib}/%{name}/modules/org/openteacher/buttonRegister/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/chars
%dir %{python_sitelib}/%{name}/modules/org/openteacher/chars/cyrillic
%dir %{python_sitelib}/%{name}/modules/org/openteacher/chars/greek
%dir %{python_sitelib}/%{name}/modules/org/openteacher/chars/symbols
%dir %{python_sitelib}/%{name}/modules/org/openteacher/chars/test
%{python_sitelib}/%{name}/modules/org/openteacher/chars/cyrillic/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/chars/greek/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/chars/symbols/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/chars/test/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/codeDocs
%{python_sitelib}/%{name}/modules/org/openteacher/codeDocs/*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/dataStore
%{python_sitelib}/%{name}/modules/org/openteacher/dataStore/*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/dialogs
%dir %{python_sitelib}/%{name}/modules/org/openteacher/dialogs/about
%{python_sitelib}/%{name}/modules/org/openteacher/dialogs/about/*.html
%{python_sitelib}/%{name}/modules/org/openteacher/dialogs/about/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/dialogs/documentation
%{python_sitelib}/%{name}/modules/org/openteacher/dialogs/documentation/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/dialogs/documentation/docs
%{python_sitelib}/%{name}/modules/org/openteacher/dialogs/documentation/docs/*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/dialogs/file
%{python_sitelib}/%{name}/modules/org/openteacher/dialogs/file/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/dialogs/print
%{python_sitelib}/%{name}/modules/org/openteacher/dialogs/print/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/dialogs/results
%{python_sitelib}/%{name}/modules/org/openteacher/dialogs/results/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/dialogs/settings
%{python_sitelib}/%{name}/modules/org/openteacher/dialogs/settings/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/dialogs/updates
%{python_sitelib}/%{name}/modules/org/openteacher/dialogs/updates/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/dialogShower
%{python_sitelib}/%{name}/modules/org/openteacher/dialogShower/*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/enterers
%dir %{python_sitelib}/%{name}/modules/org/openteacher/enterers/media
%{python_sitelib}/%{name}/modules/org/openteacher/enterers/media/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/enterers/plainTextWords
%{python_sitelib}/%{name}/modules/org/openteacher/enterers/plainTextWords/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/enterers/topo
%{python_sitelib}/%{name}/modules/org/openteacher/enterers/topo/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/enterers/words
%{python_sitelib}/%{name}/modules/org/openteacher/enterers/words/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/event/
%{python_sitelib}/%{name}/modules/org/openteacher/eventTest/
%dir %{python_sitelib}/%{name}/modules/org/openteacher/execute
%{python_sitelib}/%{name}/modules/org/openteacher/execute/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/getTranslationAuthors/
%dir %{python_sitelib}/%{name}/modules/org/openteacher/gui
%{python_sitelib}/%{name}/modules/org/openteacher/gui/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/gui/icons
%{python_sitelib}/%{name}/modules/org/openteacher/gui/icons/*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/hiddenBrowser
%{python_sitelib}/%{name}/modules/org/openteacher/hiddenBrowser/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/hiddenBrowser/icons
%{python_sitelib}/%{name}/modules/org/openteacher/hiddenBrowser/icons/*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/inputTyping
%{python_sitelib}/%{name}/modules/org/openteacher/inputTyping/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/ircBot/
%dir %{python_sitelib}/%{name}/modules/org/openteacher/itemModifiers
%dir %{python_sitelib}/%{name}/modules/org/openteacher/itemModifiers/foreignKnown/
%{python_sitelib}/%{name}/modules/org/openteacher/itemModifiers/foreignKnown/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/javaScript/
%dir %{python_sitelib}/%{name}/modules/org/openteacher/lessonDialogs/
%{python_sitelib}/%{name}/modules/org/openteacher/lessonDialogs/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/lessons
%dir %{python_sitelib}/%{name}/modules/org/openteacher/lessons/media
%{python_sitelib}/%{name}/modules/org/openteacher/lessons/media/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/lessons/topo
%{python_sitelib}/%{name}/modules/org/openteacher/lessons/topo/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/lessons/words
%{python_sitelib}/%{name}/modules/org/openteacher/lessons/words/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/lessonTracker/
%dir %{python_sitelib}/%{name}/modules/org/openteacher/lessonTypes
%dir %{python_sitelib}/%{name}/modules/org/openteacher/lessonTypes/allOnce
%{python_sitelib}/%{name}/modules/org/openteacher/lessonTypes/allOnce/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/lessonTypes/interval
%{python_sitelib}/%{name}/modules/org/openteacher/lessonTypes/interval/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/lessonTypes/smart
%{python_sitelib}/%{name}/modules/org/openteacher/lessonTypes/smart/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/listModifiers
%dir %{python_sitelib}/%{name}/modules/org/openteacher/listModifiers/hardWords
%{python_sitelib}/%{name}/modules/org/openteacher/listModifiers/hardWords/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/listModifiers/hardWordsTest
%{python_sitelib}/%{name}/modules/org/openteacher/listModifiers/hardWordsTest/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/listModifiers/random_
%{python_sitelib}/%{name}/modules/org/openteacher/listModifiers/random_/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/listModifiers/reverse
%{python_sitelib}/%{name}/modules/org/openteacher/listModifiers/reverse/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/listModifiers/sort
%{python_sitelib}/%{name}/modules/org/openteacher/listModifiers/sort/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/listModifiers/wordsNeverAnsweredCorrectly
%{python_sitelib}/%{name}/modules/org/openteacher/listModifiers/wordsNeverAnsweredCorrectly/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/listModifiers/wordsNeverAnsweredCorrectlyTest
%{python_sitelib}/%{name}/modules/org/openteacher/listModifiers/wordsNeverAnsweredCorrectlyTest/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/loader/
%dir %{python_sitelib}/%{name}/modules/org/openteacher/loaders
%dir %{python_sitelib}/%{name}/modules/org/openteacher/loaders/abby
%{python_sitelib}/%{name}/modules/org/openteacher/loaders/abby/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/loaders/ot
%{python_sitelib}/%{name}/modules/org/openteacher/loaders/ot/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/loaders/otmd
%{python_sitelib}/%{name}/modules/org/openteacher/loaders/otmd/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/loaders/ottp
%{python_sitelib}/%{name}/modules/org/openteacher/loaders/ottp/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/loaders/otwd
%{python_sitelib}/%{name}/modules/org/openteacher/loaders/otwd/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/loaders/t2k
%{python_sitelib}/%{name}/modules/org/openteacher/loaders/t2k/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/loaders/wrts
%{python_sitelib}/%{name}/modules/org/openteacher/loaders/wrts/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/maps/
%dir %{python_sitelib}/%{name}/modules/org/openteacher/mediaDisplay
%{python_sitelib}/%{name}/modules/org/openteacher/mediaDisplay/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/mediaDisplay/icons
%{python_sitelib}/%{name}/modules/org/openteacher/mediaDisplay/icons/*
%{python_sitelib}/%{name}/modules/org/openteacher/mediaTypes/
%dir %{python_sitelib}/%{name}/modules/org/openteacher/metadata
%{python_sitelib}/%{name}/modules/org/openteacher/metadata/*.png
%{python_sitelib}/%{name}/modules/org/openteacher/metadata/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/metadata/*.txt
%{python_sitelib}/%{name}/modules/org/openteacher/metadata/COPYING
%{python_sitelib}/%{name}/modules/org/openteacher/moduleGraph/
%{python_sitelib}/%{name}/modules/org/openteacher/modules/
%{python_sitelib}/%{name}/modules/org/openteacher/modulesTest/
%dir %{python_sitelib}/%{name}/modules/org/openteacher/noteCalculatorChooser
%{python_sitelib}/%{name}/modules/org/openteacher/noteCalculatorChooser/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/noteCalculators
%dir %{python_sitelib}/%{name}/modules/org/openteacher/noteCalculators/american
%{python_sitelib}/%{name}/modules/org/openteacher/noteCalculators/american/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/noteCalculators/dutch
%{python_sitelib}/%{name}/modules/org/openteacher/noteCalculators/dutch/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/noteCalculators/ects
%{python_sitelib}/%{name}/modules/org/openteacher/noteCalculators/ects/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/noteCalculators/french
%{python_sitelib}/%{name}/modules/org/openteacher/noteCalculators/french/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/noteCalculators/german
%{python_sitelib}/%{name}/modules/org/openteacher/noteCalculators/german/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/noteCalculators/percents
%{python_sitelib}/%{name}/modules/org/openteacher/noteCalculators/percents/*py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/noteCalculators/test
%{python_sitelib}/%{name}/modules/org/openteacher/noteCalculators/test/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/onscreenKeyboard/
%dir %{python_sitelib}/%{name}/modules/org/openteacher/openteacherAuthors
%{python_sitelib}/%{name}/modules/org/openteacher/openteacherAuthors/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/otxxloader/
%{python_sitelib}/%{name}/modules/org/openteacher/otxxsaver/
%{python_sitelib}/%{name}/modules/org/openteacher/packagers/
%{python_sitelib}/%{name}/modules/org/openteacher/percentNotesViewer/
%{python_sitelib}/%{name}/modules/org/openteacher/percentsCalculator/
%dir %{python_sitelib}/%{name}/modules/org/openteacher/print/topo
%{python_sitelib}/%{name}/modules/org/openteacher/print/topo/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/print/words
%{python_sitelib}/%{name}/modules/org/openteacher/print/words/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/printer/
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/all/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/all/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/codedocumentation/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/codedocumentation/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/generateMobile/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/generateMobile/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/getTranslationAuthors/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/getTranslationAuthors/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/help/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/help/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/ircbot/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/ircbot/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/module-graph/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/module-graph/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/packageArch/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/packageArch/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/packageDebian/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/packageDebian/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/packageRpm/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/packageRpm/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/packageSource/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/packageSource/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/packageSourceWithSetup/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/packageSourceWithSetup/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/packageWindowsMsi/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/packageWindowsMsi/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/packageWindowsPortable/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/packageWindowsPortable/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/selfstudy/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/selfstudy/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/shell/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/shell/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/studentAtHome/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/studentAtHome/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/studentAtSchool/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/studentAtSchool/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/testserver/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/testserver/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/testsuite/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/testsuite/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/updateTranslations/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/updateTranslations/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/wordsonly/
%{python_sitelib}/%{name}/modules/org/openteacher/profileDescriptions/wordsonly/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/profilesHelp/
%dir %{python_sitelib}/%{name}/modules/org/openteacher/progressViewer/
%{python_sitelib}/%{name}/modules/org/openteacher/progressViewer/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/pydistInterface/
%dir %{python_sitelib}/%{name}/modules/org/openteacher/recentlyOpened
%{python_sitelib}/%{name}/modules/org/openteacher/recentlyOpened/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/recentlyOpenedViewer/
%{python_sitelib}/%{name}/modules/org/openteacher/saver/
%dir %{python_sitelib}/%{name}/modules/org/openteacher/savers
%dir %{python_sitelib}/%{name}/modules/org/openteacher/savers/html
%{python_sitelib}/%{name}/modules/org/openteacher/savers/html/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/savers/ot
%{python_sitelib}/%{name}/modules/org/openteacher/savers/ot/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/savers/ot/*.xml
%dir %{python_sitelib}/%{name}/modules/org/openteacher/savers/otmd
%{python_sitelib}/%{name}/modules/org/openteacher/savers/otmd/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/savers/ottp
%{python_sitelib}/%{name}/modules/org/openteacher/savers/ottp/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/savers/otwd
%{python_sitelib}/%{name}/modules/org/openteacher/savers/otwd/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/savers/pdf
%{python_sitelib}/%{name}/modules/org/openteacher/savers/pdf/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/savers/png
%{python_sitelib}/%{name}/modules/org/openteacher/savers/png/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/savers/t2k
%{python_sitelib}/%{name}/modules/org/openteacher/savers/t2k/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/savers/t2k/*.xml
%dir %{python_sitelib}/%{name}/modules/org/openteacher/savers/txt
%{python_sitelib}/%{name}/modules/org/openteacher/savers/txt/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/savers/wrts
%{python_sitelib}/%{name}/modules/org/openteacher/savers/wrts/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/savers/wrts/*.xml
%{python_sitelib}/%{name}/modules/org/openteacher/settings/
%dir %{python_sitelib}/%{name}/modules/org/openteacher/settingsFilterer
%{python_sitelib}/%{name}/modules/org/openteacher/settingsFilterer/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/settingsWidget/boolean
%{python_sitelib}/%{name}/modules/org/openteacher/settingsWidget/boolean/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/settingsWidget/characterTable
%{python_sitelib}/%{name}/modules/org/openteacher/settingsWidget/characterTable/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/settingsWidget/language
%{python_sitelib}/%{name}/modules/org/openteacher/settingsWidget/language/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/settingsWidget/longText
%{python_sitelib}/%{name}/modules/org/openteacher/settingsWidget/longText/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/settingsWidget/multiOption
%{python_sitelib}/%{name}/modules/org/openteacher/settingsWidget/multiOption/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/settingsWidget/number
%{python_sitelib}/%{name}/modules/org/openteacher/settingsWidget/number/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/settingsWidget/option
%{python_sitelib}/%{name}/modules/org/openteacher/settingsWidget/option/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/settingsWidget/password
%{python_sitelib}/%{name}/modules/org/openteacher/settingsWidget/password/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/settingsWidget/profile
%{python_sitelib}/%{name}/modules/org/openteacher/settingsWidget/profile/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/settingsWidget/shortText
%{python_sitelib}/%{name}/modules/org/openteacher/settingsWidget/shortText/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/settingsWidgets/
%{python_sitelib}/%{name}/modules/org/openteacher/shell/
%{python_sitelib}/%{name}/modules/org/openteacher/sourceSaver/
%{python_sitelib}/%{name}/modules/org/openteacher/sourceWithSetupSaver/
%dir %{python_sitelib}/%{name}/modules/org/openteacher/startWidget
%{python_sitelib}/%{name}/modules/org/openteacher/startWidget/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/teachers
%dir %{python_sitelib}/%{name}/modules/org/openteacher/teachers/media
%{python_sitelib}/%{name}/modules/org/openteacher/teachers/media/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/teachers/topo
%{python_sitelib}/%{name}/modules/org/openteacher/teachers/topo/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/teachers/words
%{python_sitelib}/%{name}/modules/org/openteacher/teachers/words/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/teachTypes
%dir %{python_sitelib}/%{name}/modules/org/openteacher/teachTypes/hangman
%{python_sitelib}/%{name}/modules/org/openteacher/teachTypes/hangman/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/teachTypes/inMind
%{python_sitelib}/%{name}/modules/org/openteacher/teachTypes/inMind/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/teachTypes/repeatAnswer
%{python_sitelib}/%{name}/modules/org/openteacher/teachTypes/repeatAnswer/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/teachTypes/shuffleAnswer
%{python_sitelib}/%{name}/modules/org/openteacher/teachTypes/shuffleAnswer/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/teachTypes/typing
%{python_sitelib}/%{name}/modules/org/openteacher/teachTypes/typing/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/testRunner/
%dir %{python_sitelib}/%{name}/modules/org/openteacher/testsViewer
%{python_sitelib}/%{name}/modules/org/openteacher/testsViewer/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/testTypes
%dir %{python_sitelib}/%{name}/modules/org/openteacher/testTypes/media
%{python_sitelib}/%{name}/modules/org/openteacher/testTypes/media/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/testTypes/topo
%{python_sitelib}/%{name}/modules/org/openteacher/testTypes/topo/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/testTypes/words
%{python_sitelib}/%{name}/modules/org/openteacher/testTypes/words/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/testViewer
%{python_sitelib}/%{name}/modules/org/openteacher/testViewer/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/textToSpeech
%{python_sitelib}/%{name}/modules/org/openteacher/textToSpeech/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/textToSpeech/tts
%{python_sitelib}/%{name}/modules/org/openteacher/textToSpeech/tts/*
%{python_sitelib}/%{name}/modules/org/openteacher/theme/
%dir %{python_sitelib}/%{name}/modules/org/openteacher/topoMaps
%{python_sitelib}/%{name}/modules/org/openteacher/topoMaps/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/topoMaps/resources
%{python_sitelib}/%{name}/modules/org/openteacher/topoMaps/resources/*
%{python_sitelib}/%{name}/modules/org/openteacher/translationTest/
%{python_sitelib}/%{name}/modules/org/openteacher/translationUpdater/
%dir %{python_sitelib}/%{name}/modules/org/openteacher/translator
%{python_sitelib}/%{name}/modules/org/openteacher/translator/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/ttsProviders
%dir %{python_sitelib}/%{name}/modules/org/openteacher/ttsProviders/topo
%{python_sitelib}/%{name}/modules/org/openteacher/ttsProviders/topo/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/ttsProviders/words
%{python_sitelib}/%{name}/modules/org/openteacher/ttsProviders/words/*.py*
%dir %{python_sitelib}/%{name}/modules/org/openteacher/uiController
%{python_sitelib}/%{name}/modules/org/openteacher/uiController/*.py*
%{python_sitelib}/%{name}/modules/org/openteacher/updates/
%{python_sitelib}/%{name}/modules/org/openteacher/wordListString/
%{python_sitelib}/%{name}/modules/org/openteacher/wordsHtmlGenerator/
%{python_sitelib}/%{name}/modules/org/openteacher/wordsString/
%dir %{python_sitelib}/%{name}/modules/org/openteacher/wrtsApi
%{python_sitelib}/%{name}/modules/org/openteacher/wrtsApi/*.py*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/mimetypes/application*.png
%{_mandir}/man1/openteacher.1*

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 14 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 3.0-2
- Add missing dependency 

* Fri Nov 02 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 3.0-1
- Update to version 3.0
- Added patch to build against systemwide pyttsx made by Toshio Kuratomi

* Sat Sep 29 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 2.3-2
- Implements desktop-file-install

* Sat Sep 29 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 2.3-1
- Initial packaging
